### Function

# Pango attr_break

#### Declaration [src]

    void
    pango_attr_break (
      const char* text,
      int length,
      PangoAttrList* attr_list,
      int offset,
      PangoLogAttr* attrs,
      int attrs_len
    )

#### Description [src]

Apply customization from attributes to the breaks in `attrs`.

The line breaks are assumed to have been produced by `pango_default_break()` and `pango_tailor_break()`.

Available since: | 1.50

#### Parameters

`text` | `const char*`
| Text to break. Must be valid UTF-8
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`length` | `int`
| Length of text in bytes (may be -1 if `text` is nul-terminated)
`attr_list` | `PangoAttrList`
| `PangoAttrList` to apply.
| The data is owned by the caller of the function.
`offset` | `int`
| Byte offset of `text` from the beginning of the paragraph.
`attrs` | An array of `PangoLogAttr`
| Array with one `PangoLogAttr` per character in `text`, plus one extra, to be filled in.
| The length of the array is specified in the `attrs_len` argument.
| The data is owned by the caller of the function.
`attrs_len` | `int`
| Length of `attrs` array.